> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Branch Protection

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/branches/{branch}/protection`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get branch protection
* [`PUT /repos/{owner}/{repo}/branches/{branch}/protection`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#update-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update branch protection
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#delete-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete branch protection
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-admin-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get admin branch protection
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#set-admin-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set admin branch protection
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#delete-admin-branch-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete admin branch protection
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-pull-request-review-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get pull request review protection
* [`PATCH /repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#update-pull-request-review-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update pull request review protection
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#delete-pull-request-review-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete pull request review protection
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/required_signatures`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-commit-signature-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get commit signature protection
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/required_signatures`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#create-commit-signature-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create commit signature protection
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/required_signatures`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#delete-commit-signature-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete commit signature protection
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-status-checks-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get status checks protection
* [`PATCH /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#update-status-check-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update status check protection
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#remove-status-check-protection) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove status check protection
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-all-status-check-contexts) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get all status check contexts
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#add-status-check-contexts) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add status check contexts
* [`PUT /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#set-status-check-contexts) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set status check contexts
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#remove-status-check-contexts) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove status check contexts
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/restrictions`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get access restrictions
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/restrictions`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#delete-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete access restrictions
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-apps-with-access-to-the-protected-branch) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get apps with access to the protected branch
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#add-app-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add app access restrictions
* [`PUT /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#set-app-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set app access restrictions
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#remove-app-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove app access restrictions
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-teams-with-access-to-the-protected-branch) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get teams with access to the protected branch
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#add-team-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add team access restrictions
* [`PUT /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#set-team-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set team access restrictions
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#remove-team-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove team access restrictions
* [`GET /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#get-users-with-access-to-the-protected-branch) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get users with access to the protected branch
* [`POST /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#add-user-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add user access restrictions
* [`PUT /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#set-user-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set user access restrictions
* [`DELETE /repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users`](https://docs.github.com/enterprise-cloud@latest/rest/branches/branch-protection#remove-user-access-restrictions) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove user access restrictions
